Skip to main content
POST
/
api
/
v1
/
puppet
/
{namespace}
/
{sessionId}
/
{agentName}
/
thread
/
participant
Add thread participant
curl --request POST \
  --url https://api.coralcloud.ai/api/v1/puppet/{namespace}/{sessionId}/{agentName}/thread/participant \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "threadId": "<string>",
  "participantName": "<string>"
}
'
{
  "message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

namespace
string
required

The session's namespace

sessionId
string
required

The session's ID

agentName
string
required

The agent's name

Body

application/json

Thread and participant information details

threadId
string
required

The unique identifier for the thread to add participants to

participantName
string
required

The name of the agent to add as a participant to the thread

Response

Success